提交
提交是您项目的错误报告和功能请求 — 用户在门户上创建的相同记录,通过API可供读取和写入。(一般反馈有自己的端点;参见反馈)。
所有端点都需要认证,并限于API密钥的项目。
列出提交
GET/v1/submissions
| Parameter | Type | Description |
|---|---|---|
status | string | 按状态筛选:backlog、open、planned、in_progress、或 done。 |
type | string | 按类型筛选:bug或feature。 |
limit | integer | 页面大小。默认为20。 |
offset | integer | 跳过的项目数。默认为0。 |
curl "https://api.supdesk.app/v1/submissions?status=open&limit=10" \
-H "Authorization: Bearer sd_live_..."响应使用标准列表 envelope:
{
"data": [
{
"id": "8f7a…",
"type": "bug",
"title": "Export button unresponsive on Safari",
"body": "Clicking Export does nothing on Safari 26.",
"status": "open",
"is_private": false,
"created_at": "2026-07-01T09:12:00Z"
}
],
"pagination": { "limit": 10, "offset": 0, "has_more": false }
}获取提交
GET/v1/submissions/:id
返回单个提交作为 { "data": { … } },或返回 404 not_found 错误。
创建提交
Pro 写入访问需要付费计划;在Free版它返回 403 forbidden。
POST/v1/submissions
| Parameter | Type | Description |
|---|---|---|
typerequired | string | bug或feature。 |
titlerequired | string | 提交的简要摘要。 |
emailrequired | string | 提交所属的最终用户的电子邮件。 |
body | string | 更长的描述。 |
name | string | 最终用户的显示名称。 |
locale | string | 所触发通知邮件的语言(en、de、es、fr、it、ja、ru、zh)。默认为 en。 |
curl -X POST https://api.supdesk.app/v1/submissions \
-H "Authorization: Bearer sd_live_..." \
-H "Content-Type: application/json" \
-d '{
"type": "bug",
"title": "Export button unresponsive on Safari",
"email": "jamie@example.com",
"body": "Clicking Export does nothing on Safari 26."
}'返回 201 包含创建的提交。最终用户在您的客户列表中自动创建(或按邮箱匹配)。
创建的提交计入您的每月提交配额,方式与门户提交相同。在限制时,此端点返回 429 limit_reached — 除非您的工作区已启用提交超额,在这种情况下,提交被接受并计费。参见限流与用量。
Last updated on